import torch.nn as nn

from ...utils.logger import get_logger


# Create logger
logger = get_logger(__name__)


class CustomNN(nn.Module):
    '''
    Custom Neural Network class for the NBA player statistics dataset.
    '''
    def __init__(self, input_size, hidden_size, output_size):
        super().__init__()
        self.input_size = input_size
        self.hidden_size = hidden_size
        self.output_size = output_size
        self.fc1 = nn.Linear(input_size, hidden_size)
        self.relu = nn.ReLU()
        self.fc2 = nn.Linear(hidden_size, output_size)
        # self.sigmoid = nn.Sigmoid()

    def forward(self, x):
        out = self.fc1(x)
        out = self.relu(out)
        out = self.fc2(out)
        # out = self.sigmoid(out)
        return out